@echo off
REM Aggiornare il classpath con le librerie della distribuzione CORBA Utilizzata
REM Ad esempio...
set CLASSPATH=C:\BES\lib\vbjorb.jar

REM modificare la seguente variabile, inserendo la directory principale
REM dove avete copiato l'esempio
set HOMEesempio=C:\CORBA\Esempio_Messaggio

REM Classpath necessario per la compilazione e l'aggiornamento

set CLASSPATH=%CLASSPATH%;%HOMEesempio%\classes;%HOMEesempio%\src\message;

if "%1"=="clean" goto clean
if "%1"=="all" goto all
if "%1"=="Client" goto client
if "%1"=="client" goto client
if "%1"=="Server" goto server
if "%1"=="server" goto server
if "%1"=="persistent" goto persistent
goto usage

:client
echo Sto eseguendo il Client....
start vbj Cliente %2
goto end

:server
echo Sto eseguendo il Server minimale (usa il rootPOA)....
start vbj Server
goto end

:persistent
echo Sto eseguendo il Server con un POA che gestisce i riferimenti persistenti...
start vbj ServerP
goto end

:all
echo Compilazione interfaccia IDL ...
call idl2java -package message -strict -root_dir ./src src/Message.idl
echo Compilazione delle classi
call javac -d ./classes %HOMEesempio%\src\message\*.java 
call javac -d %HOMEesempio%\classes -sourcepath %HOMEesempio%\src %HOMEesempio%\src\*.java
goto end

:idl
echo Compilazione interfaccia IDL ...
call idl2java -package message -strict -root_dir ./src src/Message.idl
goto end

:usage
echo Uso: message [clean][all][client][server][idl]
goto end

:clean
del %HOMEESEMPIO%\classes\*.class
rd /S %HOMEESEMPIO%\src\message
rd /S %HOMEESEMPIO%\classes\message

:end