/**
 * <p>Title: Primo esempio di un'applicazione CORBA: message</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Domenico	Cotroneo
 * @version	1.0
 */
import org.omg.PortableServer.*;
import org.omg.CORBA.*;

public class ServerP {
  public static	void main(String[] args) {

  try {
  	org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init(args,null);
  	
  	//Ottiene un riferimento al Portable Object Adapter predefinito
  	POA rootPOA = POAHelper.narrow(orb.resolve_initial_references("RootPOA"));
  	
  	Policy politiche[] = new Policy[1];
  	politiche[0] = rootPOA.create_lifespan_policy(LifespanPolicyValue.PERSISTENT);
  	
  	POA	localPOA = rootPOA.create_POA("localPOA",rootPOA.the_POAManager(),politiche);
  	
  	//Crea un istanza dell'oggetto servant
  	MessImpl myservant = new MessImpl();
  	
  	//Crea un object reference ed attiva l'oggetto servente
  	byte []	nomeOggetto = "Il_Nome_Pattuito".getBytes();
  	
  	localPOA.activate_object_with_id (nomeOggetto,myservant);
  	
  	org.omg.CORBA.Object oggetto = localPOA.id_to_reference(nomeOggetto);
  	
  	//Attiva il	POA	manager
  	localPOA.the_POAManager().activate();
  	
  	/* Stampa l'interoperable object reference (IOR) sullo standard output
  	 *
  	 * System.out.println("Server PERSISTENTE pronto!");
  	 * System.out.println(oggetto);
  	 * System.out.println(orb.object_to_string(oggetto));
  	 *
  	 * Configura	il server in stato di attesa */
  	 
  	 orb.run();
  	 }	catch (Exception e)	{
  	 	e.printStackTrace();
  	 	}
  }
}