@echo off
REM Librerie della distribuzione CORBA Utilizzata
set CLASSPATH=C:\BES\lib\vbjorb.jar

REM Directory principale dell'esempio
set HOMEesempio=C:\CORBA\Esempio_Messaggio

REM Classpath necessario per la compilazione e l'aggiornamento
set CLASSPATH=%CLASSPATH%;%HOMEesempio%\classes;%HOMEesempio%\src\message;

if "%1"=="clean" goto clean
if "%1"=="all" goto all
if "%1"=="Client" goto client
if "%1"=="client" goto client
if "%1"=="Server" goto server
if "%1"=="server" goto server
if "%1"=="persistent" goto persistent
goto usage

:client
echo Attivazione del Cliente ...
start vbj Cliente %2
goto end

:server
echo Attivazione del Server minimale (che usa il rootPOA) ...
start vbj Server
goto end

:persistent
echo Attivazione del Server con POA proprio, che gestisce i riferimenti persistenti ..
start vbj ServerP
goto end

:all
echo Compilazione interfaccia IDL ...
call idl2java -package message -strict -root_dir ./src src/Message.idl
echo Compilazione delle classi
call javac -d ./classes %HOMEesempio%\src\message\*.java 
call javac -d %HOMEesempio%\classes -sourcepath %HOMEesempio%\src %HOMEesempio%\src\*.java
goto end

:idl
echo Compilazione interfaccia IDL ...
call idl2java -package message -strict -root_dir ./src src/Message.idl
goto end

:usage
echo Uso: message [clean][all][client][server][idl]
goto end

:clean
del %HOMEESEMPIO%\classes\*.class
rd /S %HOMEESEMPIO%\src\message
rd /S %HOMEESEMPIO%\classes\message

:end