/**
 * Title:        Primo esempio di un'applicazione CORBA: message
 * Description:
 * Copyright:    Copyright (c) 2002
 * Company:
 * @author Domenico Cotroneo
 * @version 1.0
*/

import org.omg.PortableServer.*;

public class Server {
  public static void main (String[] args) {
  	
  	try {
  		org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init (args,null);
  		
  		//Ottiene un riferimento al Portable Object Adapter predefinito
  		POA rootPOA = POAHelper.narrow(orb.resolve_initial_references ("RootPOA"));
  		
  		//Crea un istanza dell'oggetto servant
        MessImpl myservant = new MessImpl ();

        //Crea un object reference e attiva l'oggetto servente
        org.omg.CORBA.Object obj = rootPOA.servant_to_reference (myservant);

        //Attiva il POA manager
        rootPOA.the_POAManager ().activate();

        //Stampa l'object reference sullo standard output
        System.out.println (orb.object_to_string (obj));

        //Configura il server in stato di attesa
        orb.run ();
      } catch (Exception e) {
        e.printStackTrace ();
       }
  }
}